# Lighthouse-UESTC

描述：这个项目是利用valve的高精度激光定位系统Lighthouse实现对其他非高精度的定位设备进行误差评估的系统。Lighthouse的工作原理文档路径为`Docs\Lighthouse工作原理.md`。

## 一、硬件设备

### 1.1 设备的准备	

​		将Lighthouse用于定位参考设备，只需要准备如下即可。

| 设备名              | 数量 | 备注                                                         |
| ------------------- | ---- | ------------------------------------------------------------ |
| HTC 激光基站 & 电源 | 2    | 根据情况可以选择1.0、2.0、3.0的版本，购买的时候一般商家会配套电源。二手产品需要注意购买电源 |
| HTC 手柄或者Tracker | 1    | 根据情况可以选择1.0、2.0、3.0的版本，购买的时候需要对应购买接收器。 |
| 激光基站的支架      | 2    | 基站的顶部需要额外增加万向转接头，可以调整基站方向。         |

### 1.2 Lightouse的安装与设置

​		Lighthouse基站安装一般推荐安装在较高的位置，可以俯瞰地面的设备。一般安装在2m以上的位置，可以选择天花板倒置安装，也可以选择支架安装。

![Lighthouse安装示意](.\Image\Lighthouse的安装.png)

## 二、软件的准备

### 2.1 软件的安装概况

​		软件方面主要需要安装Steam平台和SteamVR。理论上SteamVR底层的OpenVR可以支持各种语言。目前最简单的是采用python读取数据，python的运行脚本如下所示：

```shell
# 安装openvr库
pip install openvr
# 进入工作目录 
cd Code/triad_openvr
# 获取指定设备的位置和姿态, 这里需要根据实际的设备类型对代码进行调整
python tracker_test.py
```

## 2.2 SteamVR的配置

​		正常来说，SteamVR的启动必须需要头显才能启动，所以需要对SteamVR的部分配置文件进行修改，以得到无头显启动的目的。